Upload Wizard "Back to the old form": complete the list of altUploadForm in $wgUploadWizardConfig
Closed, ResolvedPublic

Description

Author: saibotrash

Description:
German interface:

Should link to [[Commons:Hochladen]], but links to [[Commons:Upload]]. That is NOT the old forms.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz33513.
bzimport created this task.Via LegacyJan 4 2012, 2:46 PM
Reedy added a comment.Via ConduitJan 4 2012, 3:39 PM

'mwe-upwiz-subhead-alt-upload'

brion added a comment.Via ConduitJan 4 2012, 7:12 PM

That message contains a link, but the link *target* is provided as a parameter to it. Comes from somewhere else?

brion added a comment.Via ConduitJan 4 2012, 7:16 PM

Seems to come from 'altUploadForm' in the UploadWizard config.

Reedy, are you recommending that all languages which have an alternate classic form just modify the mwe-upwiz-subhead-alt-upload message to ignore this configuration variable? Or is there another way to make that setting go to whatever is appropriate?

bzimport added a comment.Via ConduitJan 25 2012, 3:07 AM

neilk wrote:

fixed in r109992, although this will require a config change too.

bzimport added a comment.Via ConduitJan 25 2012, 4:51 PM

saibotrash wrote:

(In reply to comment #4)

fixed in r109992, although this will require a config change too.

I hope you did not only change it for German, did you? :-O

bzimport added a comment.Via ConduitJan 25 2012, 5:02 PM

saibotrash wrote:

.. I will make the instructions more clear.. wait some minutes. :-)

bzimport added a comment.Via ConduitJan 25 2012, 5:14 PM

saibotrash wrote:

Okay, I make it more clear what to do - I thought it was clear that it is not only German. :-)

Please just link to for every language. Any changes for some languages can be made on that page if required.
'//commons.wikimedia.org/w/index.php?title=Commons:Upload/autolang&uselang=' + mw.config.get( 'wgUserLanguage' );

Thank you!

bzimport added a comment.Via ConduitJan 25 2012, 5:16 PM

saibotrash wrote:

(where is the comment edit function in bugzilla.. damn)

Btw: that page defaults to English if a language specific page is not available.

bzimport added a comment.Via ConduitJan 25 2012, 9:40 PM

neilk wrote:

I did not change it only for German, I made it so you could configure any number of pages.

array(

'default'	=> 'Commons:Upload',
'de'		=> 'Commons:Hochladen',
'fr'          => 'The extra special upload page for french people'
...

);

But, that would be a site config change. Your autolang concept is more under control of the admins of the site, at the cost of an ugly title.

So, I could just revert the changes to the code and then put Commons:Upload/autolang as the the 'single' alternative upload form.

However, why are you suggesting that there be a uselang parameter? Isn't that already implicit?

bzimport added a comment.Via ConduitJan 25 2012, 11:20 PM

saibotrash wrote:

You know that I would like to have as much as possible (best: all) of UW under control of the wiki. :-) Of course I do not like a config file solution which is really hard to maintain if UW doesn't pull the list of available language sub pages from the wiki.

Agree, "/autolang" is a but ugly.. right. Maybe "/autotranslated" or just "/auto" would be nicer - should I move?
I also had the idea of moving it to [[:commons:Commons:Upload]] and move the English page to /en (where is would usually belong in case of language subpages) https://commons.wikimedia.org/wiki/Commons_talk:Upload#Commons:Upload.2Fautolang The downside is that usually there was the English page and many many link will go there - so a change is not very likely.

I had a short discussion in IRC now: lets leave it at this page name for now. If it should be moved the link form UW would continue to work (redir) and can be changed if needed.
So please link to the link as mentioned in comment 7. Thanks!

Explanation of the uselang suggestion: If the UW was called with URL param uselang and you do not add it to the new link the language chosen by uselang will be lost. E.g. Commons:Upload/de is linked from some Wikipedia "how to upload images" (newbie oriented) pages. Commons:Upload/de features a link to UW with uselang=de. Sadly not all users set their language preference in their user preferences.

bzimport added a comment.Via ConduitJan 25 2012, 11:22 PM

saibotrash wrote:

edit: s/but/bit

MarkTraceur added a comment.Via ConduitMay 29 2012, 5:33 PM

Since this problem appears to have been solved two ways, i.e., Saibo's autolang feature combined with a configuration change and the new array feature in the configuration file, I'm going to call this one "resolved".

MarkTraceur added a comment.Via ConduitJun 5 2012, 12:00 AM
  • Bug 29791 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJun 5 2012, 11:06 PM

saibotrash wrote:

(In reply to comment #12)

Since this problem appears to have been solved two ways, i.e., Saibo's autolang
feature combined with a configuration change and the new array feature in the
configuration file, I'm going to call this one "resolved".

Did you test it? Not fixed.
https://commons.wikimedia.org/w/index.php?title=Special:UploadWizard&uselang=de

Zurück zum alten Formular

a page containing english text: "Where is the work from? (Click on the appropriate link)"

MarkTraceur added a comment.Via ConduitJun 5 2012, 11:11 PM

Once again, this is now a _configuration_ issue. Recategorizing. Can someone please make the relevant change outlined above in the Commons configuration?

bzimport added a comment.Via ConduitSep 30 2012, 12:36 AM

masatia wrote:

I'm not Saibo. I tried in de but not work.

Aklapper added a comment.Via ConduitJan 29 2013, 8:11 PM
  • Bug 30791 has been marked as a duplicate of this bug. ***
Nemo_bis added a comment.Via ConduitMar 6 2013, 4:41 PM

(In reply to comment #15)

Once again, this is now a _configuration_ issue. Recategorizing. Can someone
please make the relevant change outlined above in the Commons configuration?

What's the configuration variable?
In that patch, the config was changed in UploadWizard.config.php, not in WMF's InitialiseSettings.php.

MarkTraceur added a comment.Via ConduitMar 6 2013, 4:47 PM

The patch above added handling for a config variable and an *example* in the default configuration file. If you look at the top of UploadWizard.config.php, it cautions you not to modify that file, but instead to use the LocalSettings.php file (or whatever you'd like to use in lieu of that), adding lines of the form

$wgUploadWizardConfig['name'] = 'value';

Nemo_bis added a comment.Via ConduitMar 6 2013, 5:11 PM

Thanks. I'm not very familiar with UW config and I guess many patch author candidates aren't either, so this helps.

gerritbot added a comment.Via ConduitMay 14 2013, 5:28 PM

Related URL: https://gerrit.wikimedia.org/r/63686 (Gerrit Change Ia3fa29b69b27378cd208b3c21203f9413506d84d)

tomasz added a comment.Via ConduitMay 14 2013, 6:23 PM

Please note—this is /not/ the required config change :)

tomasz added a comment.Via ConduitMay 15 2013, 7:30 PM

54 languages on Commons currently have their own localised version of [[:commons:Commons:Upload]].

Adding a definition for each of them to a config file is not scalable, wrong, and just crazy.

tomasz added a comment.Via ConduitMay 15 2013, 7:31 PM

Created attachment 12322
A potential fix?

If I'm not awfully mistaken, this is how a potential patch fixing this could look like.

Attached: 33513.patch

Reedy added a comment.Via ConduitMay 16 2013, 8:51 PM

(In reply to comment #24)

Created attachment 12322 [details]
A potential fix?

If I'm not awfully mistaken, this is how a potential patch fixing this could
look like.

Done. https://gerrit.wikimedia.org/r/#/c/64194/

Attached: 33513.patch

gerritbot added a comment.Via ConduitMay 16 2013, 9:06 PM

Related URL: https://gerrit.wikimedia.org/r/64200 (Gerrit Change Ifda8b61a8ae5ff04de5214925c23869e47e3bdd3)

gerritbot added a comment.Via ConduitMay 16 2013, 11:33 PM

https://gerrit.wikimedia.org/r/64200 (Gerrit Change Ifda8b61a8ae5ff04de5214925c23869e47e3bdd3) | change APPROVED and MERGED [by jenkins-bot]

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.